CFRunLoopObserver Reference

## Detailed Description

## Data Structures

struct | CFRunLoopObserverContext

## Typedefs

typedef struct __CFRunLoopObserver * | CFRunLoopObserverRef
typedef int | CFRunLoopActivity
typedef void(* | CFRunLoopObserverCallBack) (CFRunLoopObserverRef observer, CFRunLoopActivity activity, void *info)

## Enumerations

enum | { kCFRunLoopEntry = (1 << 0) , kCFRunLoopBeforeTimers = (1 << 1) , kCFRunLoopBeforeSources = (1 << 2) , kCFRunLoopBeforeWaiting = (1 << 5) , kCFRunLoopAfterWaiting = (1 << 6) , kCFRunLoopExit = (1 << 7) , kCFRunLoopAllActivities = 0x0FFFFFFFU }

## Managing Observers

void | CFRunLoopAddObserver (CFRunLoopRef rl, CFRunLoopObserverRef observer, CFStringRef mode)
Boolean | CFRunLoopContainsObserver (CFRunLoopRef rl, CFRunLoopObserverRef observer, CFStringRef mode)
void | CFRunLoopRemoveObserver (CFRunLoopRef rl, CFRunLoopObserverRef observer, CFStringRef mode)
CFRunLoopObserverRef | CFRunLoopObserverCreate (CFAllocatorRef alloc, CFOptionFlags activities, Boolean repeats, CFIndex order, CFRunLoopObserverCallBack callback, CFRunLoopObserverContext *context)
Boolean | CFRunLoopObserverDoesRepeat (CFRunLoopObserverRef observer)
CFOptionFlags | CFRunLoopObserverGetActivities (CFRunLoopObserverRef observer)
void | CFRunLoopObserverGetContext (CFRunLoopObserverRef observer, CFRunLoopObserverContext *context)
CFIndex | CFRunLoopObserverGetOrder (CFRunLoopObserverRef observer)
void | CFRunLoopObserverInvalidate (CFRunLoopObserverRef observer)
Boolean | CFRunLoopObserverIsValid (CFRunLoopObserverRef observer)

## Getting the CFRunLoopObserver Type ID

CFTypeID | CFRunLoopObserverGetTypeID (void)

## Data Structure Documentation

## CFRunLoopObserverContext

struct CFRunLoopObserverContext